"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __generator = (this && this.__generator) || function (thisArg, body) {
    var _ = { label: 0, sent: function() { if (t[0] & 1) throw t[1]; return t[1]; }, trys: [], ops: [] }, f, y, t, g;
    return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function() { return this; }), g;
    function verb(n) { return function (v) { return step([n, v]); }; }
    function step(op) {
        if (f) throw new TypeError("Generator is already executing.");
        while (_) try {
            if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done) return t;
            if (y = 0, t) op = [op[0] & 2, t.value];
            switch (op[0]) {
                case 0: case 1: t = op; break;
                case 4: _.label++; return { value: op[1], done: false };
                case 5: _.label++; y = op[1]; op = [0]; continue;
                case 7: op = _.ops.pop(); _.trys.pop(); continue;
                default:
                    if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) { _ = 0; continue; }
                    if (op[0] === 3 && (!t || (op[1] > t[0] && op[1] < t[3]))) { _.label = op[1]; break; }
                    if (op[0] === 6 && _.label < t[1]) { _.label = t[1]; t = op; break; }
                    if (t && _.label < t[2]) { _.label = t[2]; _.ops.push(op); break; }
                    if (t[2]) _.ops.pop();
                    _.trys.pop(); continue;
            }
            op = body.call(thisArg, _);
        } catch (e) { op = [6, e]; y = 0; } finally { f = t = 0; }
        if (op[0] & 5) throw op[1]; return { value: op[0] ? op[1] : void 0, done: true };
    }
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.CmcHttpProvider = void 0;
var cross_fetch_1 = require("cross-fetch");
var CmcHttpProvider = /** @class */ (function () {
    function CmcHttpProvider(key) {
        this.url = 'https://pro-api.coinmarketcap.com/v1/cryptocurrency/quotes/latest';
        this.key = key;
    }
    CmcHttpProvider.prototype.getInformation = function () {
        return __awaiter(this, void 0, void 0, function () {
            var res, jsonInfo, err_1;
            return __generator(this, function (_a) {
                switch (_a.label) {
                    case 0:
                        _a.trys.push([0, 3, , 4]);
                        return [4 /*yield*/, (0, cross_fetch_1.default)(this.url + '?id=2416,3822', {
                                method: 'GET',
                                headers: {
                                    'Content-Type': 'application/json',
                                    'X-CMC_PRO_API_KEY': this.key
                                }
                            })];
                    case 1:
                        res = _a.sent();
                        if (res.status >= 400) {
                            throw new Error('Bad response from server');
                        }
                        return [4 /*yield*/, res.json()];
                    case 2:
                        jsonInfo = (_a.sent()).data;
                        return [2 /*return*/, {
                                theta: {
                                    name: jsonInfo['2416']['name'],
                                    price: jsonInfo['2416']['quote']['USD']['price'],
                                    volume_24h: jsonInfo['2416']['quote']['USD']['volume_24h'],
                                    market_cap: jsonInfo['2416']['quote']['USD']['market_cap'],
                                    total_supply: jsonInfo['2416']['total_supply'],
                                    circulating_supply: jsonInfo['2416']['circulating_supply'],
                                    last_updated: jsonInfo['2416']['last_updated']
                                },
                                tfuel: {
                                    name: jsonInfo['3822']['name'],
                                    price: jsonInfo['3822']['quote']['USD']['price'],
                                    volume_24h: jsonInfo['3822']['quote']['USD']['volume_24h'],
                                    market_cap: jsonInfo['3822']['quote']['USD']['market_cap'],
                                    total_supply: jsonInfo['3822']['total_supply'],
                                    circulating_supply: jsonInfo['3822']['circulating_supply'],
                                    last_updated: jsonInfo['3822']['last_updated']
                                }
                            }
                            // res.json()
                        ];
                    case 3:
                        err_1 = _a.sent();
                        throw new Error(err_1);
                    case 4: return [2 /*return*/];
                }
            });
        });
    };
    return CmcHttpProvider;
}());
exports.CmcHttpProvider = CmcHttpProvider;
//# sourceMappingURL=CmcHttpProvider.js.map