"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.THETA_METHOD_ENUM = exports.THETA_TRANSACTION_TYPE_ENUM = exports.THETA_BLOCK_STATUS_ENUM = exports.THETA_CHAIN_ID_ENUM = void 0;
var THETA_CHAIN_ID_ENUM;
(function (THETA_CHAIN_ID_ENUM) {
    THETA_CHAIN_ID_ENUM["MainNet"] = "https://theta-bridge-rpc.thetatoken.org/rpc";
    THETA_CHAIN_ID_ENUM["TestNet"] = "http://theta-node-rpc-testnet.thetatoken.org:16888/rpc";
    THETA_CHAIN_ID_ENUM["PrivateNet"] = "https://theta-node-rpc-smart-contract-sandbox.thetatoken.org/rpc";
})(THETA_CHAIN_ID_ENUM = exports.THETA_CHAIN_ID_ENUM || (exports.THETA_CHAIN_ID_ENUM = {}));
var THETA_BLOCK_STATUS_ENUM;
(function (THETA_BLOCK_STATUS_ENUM) {
    THETA_BLOCK_STATUS_ENUM[THETA_BLOCK_STATUS_ENUM["pending"] = 0] = "pending";
    THETA_BLOCK_STATUS_ENUM[THETA_BLOCK_STATUS_ENUM["valid"] = 1] = "valid";
    THETA_BLOCK_STATUS_ENUM[THETA_BLOCK_STATUS_ENUM["invalid"] = 2] = "invalid";
    THETA_BLOCK_STATUS_ENUM[THETA_BLOCK_STATUS_ENUM["committed"] = 3] = "committed";
    THETA_BLOCK_STATUS_ENUM[THETA_BLOCK_STATUS_ENUM["directly_finalized"] = 4] = "directly_finalized";
    THETA_BLOCK_STATUS_ENUM[THETA_BLOCK_STATUS_ENUM["indirectly_finalized"] = 5] = "indirectly_finalized";
    THETA_BLOCK_STATUS_ENUM[THETA_BLOCK_STATUS_ENUM["trusted"] = 6] = "trusted";
})(THETA_BLOCK_STATUS_ENUM = exports.THETA_BLOCK_STATUS_ENUM || (exports.THETA_BLOCK_STATUS_ENUM = {}));
var THETA_TRANSACTION_TYPE_ENUM;
(function (THETA_TRANSACTION_TYPE_ENUM) {
    THETA_TRANSACTION_TYPE_ENUM[THETA_TRANSACTION_TYPE_ENUM["coinbase"] = 0] = "coinbase";
    THETA_TRANSACTION_TYPE_ENUM[THETA_TRANSACTION_TYPE_ENUM["slash"] = 1] = "slash";
    THETA_TRANSACTION_TYPE_ENUM[THETA_TRANSACTION_TYPE_ENUM["send"] = 2] = "send";
    THETA_TRANSACTION_TYPE_ENUM[THETA_TRANSACTION_TYPE_ENUM["reserve_fund"] = 3] = "reserve_fund";
    THETA_TRANSACTION_TYPE_ENUM[THETA_TRANSACTION_TYPE_ENUM["release_fund"] = 4] = "release_fund";
    THETA_TRANSACTION_TYPE_ENUM[THETA_TRANSACTION_TYPE_ENUM["service_payment"] = 5] = "service_payment";
    THETA_TRANSACTION_TYPE_ENUM[THETA_TRANSACTION_TYPE_ENUM["split_rule"] = 6] = "split_rule";
    THETA_TRANSACTION_TYPE_ENUM[THETA_TRANSACTION_TYPE_ENUM["smart_contract"] = 7] = "smart_contract";
    THETA_TRANSACTION_TYPE_ENUM[THETA_TRANSACTION_TYPE_ENUM["deposit_stake"] = 8] = "deposit_stake";
    THETA_TRANSACTION_TYPE_ENUM[THETA_TRANSACTION_TYPE_ENUM["withdraw_stake"] = 9] = "withdraw_stake";
})(THETA_TRANSACTION_TYPE_ENUM = exports.THETA_TRANSACTION_TYPE_ENUM || (exports.THETA_TRANSACTION_TYPE_ENUM = {}));
var THETA_METHOD_ENUM;
(function (THETA_METHOD_ENUM) {
    THETA_METHOD_ENUM["GetAccount"] = "theta.GetAccount";
    THETA_METHOD_ENUM["BroadcastRawTransaction"] = "theta.BroadcastRawTransaction";
    THETA_METHOD_ENUM["GetBlock"] = "theta.GetBlock";
    THETA_METHOD_ENUM["GetBlockByHeight"] = "theta.GetBlockByHeight";
    THETA_METHOD_ENUM["GetTransaction"] = "theta.GetTransaction";
    THETA_METHOD_ENUM["CallSmartContract"] = "theta.CallSmartContract";
    THETA_METHOD_ENUM["GetVcpByHeight"] = "theta.GetVcpByHeight";
    THETA_METHOD_ENUM["GetGcpByHeight"] = "theta.GetGcpByHeight";
    THETA_METHOD_ENUM["GetEenpByHeight"] = "theta.GetEenpByHeight";
    THETA_METHOD_ENUM["GetStatus"] = "theta.GetStatus";
})(THETA_METHOD_ENUM = exports.THETA_METHOD_ENUM || (exports.THETA_METHOD_ENUM = {}));
//# sourceMappingURL=enum.js.map